﻿
namespace HeuristicLab.Problems.RoutePlanning.Data.Core {
  public enum VehicleType {
    Car,
    PublicTransport,
    Pedestrian,
    Bicycle
  }

  // see: https://wiki.openstreetmap.org/wiki/Key:highway
  public enum HighwayType {
    null_type,
    motorway,
    motorway_link,
    trunk,
    trunk_link,
    primary,
    primary_link,
    secondary,
    secondary_link,
    tertiary,
    tertiary_link,
    living_street,
    pedestrian,
    residential,
    unclassified,
    service,
    track,
    bus_guideway,
    raceway,
    road,
    path,
    footway,
    cycleway,
    bridleway,
    steps
  }
}
